import "./org_chart.less";
import OrgChart from "@/components/org/OrgChart";
import { OrgChartNodeDataType } from "@/components/org";

const OrgChartSelf = () => {
  const data: OrgChartNodeDataType = {
    key: 0,
    label: "科技有限公司",
    children: [
      {
        key: 1,
        label: "研发部",
        children: [
          { key: 11, label: "开发-前端" },
          { key: 12, label: "开发-后端" },
          { key: 13, label: "UI设计" },
          { key: 14, label: "产品经理" ,},
        ],
      },
      {
        key: 2,
        label: "销售部",
        children: [
          { key: 21, label: "销售一部" },
          { key: 22, label: "销售二部" },
        ],
      },
      { key: 3, label: "财务部" },
      { key: 4, label: "人事部" },
    ],
  };

  return (
    <>
      <OrgChart data={data} direction={"horizontal"}/>
    </>
  );
};

export default OrgChartSelf;

// import React from 'react';
// import OrgChart, {

//   OrgChartProps,
// } from '@twp0217/react-org-chart';

// import OrgChartNodeDataType from '@twp0217/react-org-chart';

// export default () => {
//   const data: OrgChartNodeDataType = require('./data.json');

//   const [direction, setDirection] =
//     React.useState<OrgChartProps['direction']>('horizontal');

//   return (
//     <div>
//       <div>
//         <button
//           style={{ color: direction === 'horizontal' ? 'blue' : null }}
//           onClick={() => setDirection('horizontal')}
//         >
//           horizontal
//         </button>
//         <button
//           style={{ color: direction === 'vertical' ? 'blue' : null }}
//           onClick={() => setDirection('vertical')}
//         >
//           vertical
//         </button>
//       </div>
//       <OrgChart data={data} direction={direction} />
//     </div>
//   );
// };
